# 项目相关配置
fs:
  # 名称
  name: fs
  # 版本
  version: 1.1.0
  # 版权年份
  copyrightYear: 2021
  # 实例演示开关
  demoEnabled: true
  # 文件路径 示例（ Windows配置D:/fs/uploadPath，Linux配置 /home/fs/uploadPath）
  profile: c:/fs/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数组计算 char 字符验证
  captchaType: math

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 8006
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 800
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 30

# 日志配置
logging:
  level:
    com.fs: debug
    org.springframework: warn

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
#    active: druid-yjf
    active: dev
    include: config
  # 文件上传
  servlet:
     multipart:
       # 单个文件大小
       max-file-size:  10MB
       # 设置总上传的文件大小
       max-request-size:  20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true

# token配置
token:
    # 令牌自定义标识
    header: Authorization
    # 令牌密钥
    secret: abcdefghijklmnopqrstuvwxyz
    # 令牌有效期（默认30分钟）
    expireTime: 180
mybatis-plus:
  # 搜索指定包别名
  typeAliasesPackage: com.fs.**.domain,com.fs.**.bo
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:/mapper/**/*.xml
  configLocation: classpath:mybatis/mybatis-config.xml
  # 全局配置
  global-config:
    db-config:
      # 主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
      idType: AUTO
      # 字段策略 0:"忽略判断",1:"非 NULL 判断"),2:"非空判断"
      fieldStrategy: NOT_EMPTY
    banner: false
    # 配置
  configuration:
    # 驼峰式命名
    mapUnderscoreToCamelCase: true
    # 全局映射器启用缓存
    cacheEnabled: true
    # 配置默认的执行器
    defaultExecutorType: REUSE
    # 允许 JDBC 支持自动生成主键
    useGeneratedKeys: true

# MyBatis配置
mybatis:
    # 搜索指定包别名
    typeAliasesPackage: com.fs.**.domain
    # 配置mapper的扫描，找到所有的mapper.xml映射文件
    mapperLocations: classpath*:mapper/**/*Mapper.xml
    # 加载全局的配置文件
    configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /
# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice,/system/config/*
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*
wx:
  miniapp:
    configs:
      - appid: wxbe53e91d9ad11ca6
        secret: 447135e6ca602fa4745b81216f600615
        token: Ncbnd7lJvkripVOpyTFAna6NAWCxCrvC
        aesKey: HlEiBB55eaWUaeBVAQO3cWKWPYv1vOVQSq7nFNICw4E
        msgDataFormat: JSON
  pay:
    appId: wx782bacb12a6b5d4f #微信公众号或者小程序等的appid
    mchId: 1518509741 #微信支付商户号
    mchKey: Jinrichengzhang88888888888888888 #微信支付商户密钥
    subAppId:  #服务商模式下的子商户公众账号ID
    subMchId:  #服务商模式下的子商户号
    keyPath: c:\tools\apiclient_cert.p12 # p12证书的位置，可以指定绝对路径，也可以指定类路径（以classpath:开头）
    notifyUrl: https://api.haitujia.com/app/wxpay/wxPayNotify
